I was under the impression that PCI-backend merge was targeted for 3.0, guess I was wrong.

Thanks for the update.